Subject: RE: Last Call: Date and Time on the Internet: Timestamps to Propo sed Standard

From: "Hollenbeck, Scott" <[email-masked]>
Date: Sat, 10 Nov 2001 15:20:14 -0500

> -----Original Message-----
> From: Dawson Frank (NMP/Irving) [mailto:[email-masked]]
> Sent: Saturday, November 10, 2001 2:30 PM
> To: 'ext Hollenbeck, Scott'
> Cc: [email-masked]; [email-masked]
> Subject: RE: Last Call: Date and Time on the Internet: Timestamps to
> Proposed Standard
> 
> 
> "One size fits all"? This isn't about haberdashery.

Obviously.  Sorry if the point of the analogy wasn't clear.

> The point of a standard format is exactly that there needs to be a
> single precise format. If you are going to use an Internet date/time
> standard, then it ought to be same or at least an isomer (ie, iCalendar
> date/time format).
> 
> Especially, when it comes to basic data types like date/time.

Yes, we should have a standard, but that standard should be usable across
the IETF.  In the provreg WG, we're using XML Schema to specify a protocol
because XML and XML Schema provide needed extensibility features.  I can't
use 2445-compliant date-time format because XML Schema won't accept it.

We can debate the merits (or detriments) of using non-IETF specified
technologies for IETF work, but that's not the issue at hand.  The
Timestamps draft describes formats that can be used where 2445-format can't,
and at least in the case of the provreg WG that flexibility is needed.

-Scott-

---

From: Doug Royer <[email-masked]>
Date: Wed, 14 Nov 2001 14:14:07 -0700

"Hollenbeck, Scott" wrote:
. ...
> use 2445-compliant date-time format because XML Schema won't accept it.

Now I am confused, one of the formats in that draft is without
dashes and spaces - then it is EXACTLY like RFC2445.
So how can XML Schema handle them then? It looks like the draft
is saying "this is the proposed standard including a version
that XML can not use".

So I would agree that there are different needs. That point
does not seem to persuade me that a 3rd format should also be 
documented.

> and at least in the case of the provreg WG that flexibility is needed.

I also don't care if it is IETF or W3C work. I just don't see the
need to create a proposed standard this is mostly like ISO, kind
of like 2445, and you think would work with a (not yet?) recommended
W3C proposal. My point is - what's the point?

-Doug